%global momorel 5

Name: last-exit
Summary: Last.fm player
Version: 5
Release: %{momorel}m%{?dist}
License: GPL and LGPL
Group: Applications/Multimedia
Source0: http://lastexit-player.org/releases/%{name}-%{version}.tar.bz2
NoSource: 0

# http://bugzilla.gnome.org/attachment.cgi?id=99023&action=view
Patch0: last-exit-5-dbus.patch
Patch1: last-exit-5-gtk-sharp2.patch
URL: http://www.o-hand.com/~iain/last-exit/
BuildRoot:   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: libtool, pkgconfig, GConf2-devel, intltool, glib2-devel
BuildPrereq: GConf2-devel >= 2.14.0
BuildPrereq: gtk2-devel >= 2.10.6
BuildPrereq: gstreamer-devel >= 0.10.11
BuildPrereq: gstreamer-plugins-base-devel >= 0.10.11
BuildPrereq: libsexy-devel
BuildPrereq: dbus-devel >= 0.92
BuildPrereq: dbus-glib-devel >= 0.71
BuildPrereq: gtk-sharp2-devel >= 2.12.0
BuildPrereq: gnome-sharp-devel >= 2.20.0
BuildPrereq: mono-core >= 1.2.6
BuildPrereq: ndesk-dbus-glib
Requires: mono-core

%description
Last.fm player for GNOME

%prep
%setup -q
%patch0 -p1 -b .dbus
%patch1 -p1 -b .gtk-sharp2

%build
%configure --disable-schemas-install
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for i in \
    %{_sysconfdir}/gconf/schemas/last-exit.schemas \
    %{_sysconfdir}/gconf/schemas/lastfm.schemas; do
    gconftool-2 --makefile-install-rule $i > /dev/null
done
gtk-update-icon-cache --quiet /usr/share/icons/hicolor


%files
%defattr (-, root, root)
%doc AUTHORS ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/last-exit.schemas
%{_sysconfdir}/gconf/schemas/lastfm.schemas
%{_bindir}/last-exit
%{_libdir}/%{name}
%{_datadir}/applications/last-exit.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/*/actions/*.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/*/actions/*.svg
%{_datadir}/locale/*/*/*

%changelog
* Sun Jul 27 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (5-5m)
- change BuildPrereq: gst-plugins-base-devel to gstreamer-plugins-base-devel

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (5-4m)
- rebuild against gcc43

* Thu Mar  6 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (5-3m)
- rebuild against gtk-sharp2-2.12.0
- rebuild against gnome-sharp-2.20.0

* Mon Dec 24 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (5-2m)
- use ndesk-dbus
- add patch0 (GNOME BUG #99023)

* Thu Aug  9 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (5-1m)
- update to 5

* Fri Aug  3 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (4-2m)
- add intltoolize (intltool-0.36.0)

* Sat Jan 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (4-3m)
- fix icons

* Thu Jan 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (4-2m)
- %%make -> make

* Thu Jan 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (4-1m)
- update to 4

* Fri Oct 13 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (3-1m)
- update to 3

* Fri Sep  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0-3m)
- rebuild against dbus 0.92

* Sun Aug 13 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0-2m)
- rebuild against mono-core

* Fri Jul 28 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0-1m)
- update to 2.0

* Wed Jul 19 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0-3m)
- change license (GPL and LGPL)
- NoSource -> Source

* Mon Jul 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0-2m)
- add icon for menu

* Mon Jul 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0-1m)
- initial build
